using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace forager
{
    public class forager
    {
        public static void Main()
        {
          	                         	 CategoryBuilder.Create("Forager", "Forager items.",ModAPI.LoadSprite("Category.png"));

ModAPI.Register(
new Modification()
{
  OriginalItem = ModAPI.FindSpawnable("Sword"),
  NameOverride = "Slime Sword",
  NameToOrderByOverride = "...",
  DescriptionOverride = "Effect: 1.5 attack damage!",
  CategoryOverride = ModAPI.FindCategory("Forager"),
  ThumbnailOverride = ModAPI.LoadSprite("s.png", 5f),
  AfterSpawn = (Instance) =>
  {
      Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("si.png", 9f);
      Instance.FixColliders();
    }
  }
);
ModAPI.Register(
new Modification()
{
      OriginalItem = ModAPI.FindSpawnable("Sword"),
      NameOverride = "Golden Sword",
      NameToOrderByOverride = "...",
      DescriptionOverride = "Effect: 2 attack damage!",
      CategoryOverride = ModAPI.FindCategory("Forager"),
      ThumbnailOverride = ModAPI.LoadSprite("z.png", 5f),
      AfterSpawn = (Instance) =>
      {
          Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("zi.png", 13f);
          Instance.FixColliders();
        }
     }
  );
          ModAPI.Register(
          new Modification()
          {
                OriginalItem = ModAPI.FindSpawnable("Sword"),
                NameOverride = "Skull Sword",
                NameToOrderByOverride = "...",
                DescriptionOverride = "Effect: 2.5 attack damage!",
                CategoryOverride = ModAPI.FindCategory("Forager"),
                ThumbnailOverride = ModAPI.LoadSprite("sk.png", 5f),
                AfterSpawn = (Instance) =>
                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ski.png", 13f);
                    Instance.FixColliders();
                  }
               }
            );
                    ModAPI.Register(
                    new Modification()
                    {
                          OriginalItem = ModAPI.FindSpawnable("Sword"),
                          NameOverride = "Crystal Sword",
                          NameToOrderByOverride = "...",
                          DescriptionOverride = "Effect: 3 attack damage!",
                          CategoryOverride = ModAPI.FindCategory("Forager"),
                          ThumbnailOverride = ModAPI.LoadSprite("d.png", 5f),
                          AfterSpawn = (Instance) =>
                          {
                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("di.png", 13f);
                              Instance.FixColliders();
                            }
                         }
                      );
                              ModAPI.Register(
                              new Modification()
                              {
                                    OriginalItem = ModAPI.FindSpawnable("Sword"),
                                    NameOverride = "Demon Sword",
                                    NameToOrderByOverride = "...",
                                    DescriptionOverride = "Effect: 3.5 attack damage!",
                                    CategoryOverride = ModAPI.FindCategory("Forager"),
                                    ThumbnailOverride = ModAPI.LoadSprite("de.png", 5f),
                                    AfterSpawn = (Instance) =>
                                    {
                                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("dei.png", 12f);
                                        Instance.FixColliders();
                                      }
                                   }
                                );
                                        ModAPI.Register(
                                        new Modification()
                                        {
                                              OriginalItem = ModAPI.FindSpawnable("Sword"),
                                              NameOverride = "Void Sword",
                                              NameToOrderByOverride = "...",
                                              DescriptionOverride = "Effect: 4 attack damage!",
                                              CategoryOverride = ModAPI.FindCategory("Forager"),
                                              ThumbnailOverride = ModAPI.LoadSprite("v.png", 5f),
                                              AfterSpawn = (Instance) =>
                                              {
                                                  Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("vi.png", 12f);
                                                  Instance.FixColliders();
                                                }
                                             }
                                          );
                                                  ModAPI.Register(
                                                  new Modification()
                                                  {
                                                        OriginalItem = ModAPI.FindSpawnable("Sword"),
                                                        NameOverride = "Cosmic Sword",
                                                        NameToOrderByOverride = "...",
                                                        DescriptionOverride = "Effect: 4.5 attack damage!",
                                                        CategoryOverride = ModAPI.FindCategory("Forager"),
                                                        ThumbnailOverride = ModAPI.LoadSprite("c.png", 5f),
                                                        AfterSpawn = (Instance) =>
                                                        {
                                                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ci.png", 12f);
                                                            Instance.FixColliders();
                                                          }
                                                       }
                                                    );
                                                            ModAPI.Register(
                                                            new Modification()
                                                            {
                                                                  OriginalItem = ModAPI.FindSpawnable("Sword"),
                                                                  NameOverride = "Nuclear Sword",
                                                                  NameToOrderByOverride = "...",
                                                                  DescriptionOverride = "Effect: 5 attack damage!",
                                                                  CategoryOverride = ModAPI.FindCategory("Forager"),
                                                                  ThumbnailOverride = ModAPI.LoadSprite("n.png", 5f),
                                                                  AfterSpawn = (Instance) =>
                                                                  {
                                                                      Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ni.png", 12f);
                                                                      Instance.FixColliders();
                                      }
                                   }
                                );
                                ModAPI.Register(
                                     new Modification()
                                     {
                                         OriginalItem = ModAPI.FindSpawnable("Crossbow"),
                                         NameOverride = "Slime Bow",
                                         DescriptionOverride = "Effect: 3 attack damage!",
                                         CategoryOverride = ModAPI.FindCategory("Forager"),
                                         ThumbnailOverride = ModAPI.LoadSprite("Bow.png", 5f),
                                         AfterSpawn = (Instance) =>
                                         {
                                             Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Bowi.png", 15f);
                                             Instance.GetComponent<SpriteRenderer>().sortingOrder = 10;
                                             Instance.GetComponent<ProjectileLauncherBehaviour>().projectileAsset = ModAPI.FindSpawnable("Arrow");
                                             Instance.GetComponent<ProjectileLauncherBehaviour>().projectileLaunchStrength = 0.5f;
                                             Instance.FixColliders();
                                        }
                                     }
                                 );
   ModAPI.Register(
     new Modification()
     {
         OriginalItem = ModAPI.FindSpawnable("Crossbow Bolt"),
         NameOverride = "Arrow",
         DescriptionOverride = "Simple arrow",
         CategoryOverride = ModAPI.FindCategory("Forager"),
         ThumbnailOverride = ModAPI.LoadSprite("arrow.png"),
         AfterSpawn = (Instance) =>
         {
             Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("arrowi.png", 22f);
           }
        }
    );
             ModAPI.Register(
                  new Modification()
                  {
                      OriginalItem = ModAPI.FindSpawnable("Crossbow"),
                      NameOverride = "Golden Bow",
                      DescriptionOverride = "Effect: 4 attack damage!",
                      CategoryOverride = ModAPI.FindCategory("Forager"),
                      ThumbnailOverride = ModAPI.LoadSprite("Bowgold.png", 5f),
                      AfterSpawn = (Instance) =>
                      {
                          Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Bowgoldi.png", 15f);
                          Instance.GetComponent<SpriteRenderer>().sortingOrder = 10;
                          Instance.GetComponent<ProjectileLauncherBehaviour>().projectileAsset = ModAPI.FindSpawnable("Arrow");
                          Instance.GetComponent<ProjectileLauncherBehaviour>().projectileLaunchStrength = 1f;
                          Instance.FixColliders();
                        }
                     }
                 );
                          ModAPI.Register(
                               new Modification()
                               {
                                   OriginalItem = ModAPI.FindSpawnable("Crossbow"),
                                   NameOverride = "Skull Bow",
                                   DescriptionOverride = "Effect: 5 attack damage!",
                                   CategoryOverride = ModAPI.FindCategory("Forager"),
                                   ThumbnailOverride = ModAPI.LoadSprite("Bowskul.png", 5f),
                                   AfterSpawn = (Instance) =>
                                   {
                                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Bowskuli.png", 15f);
                                       Instance.GetComponent<SpriteRenderer>().sortingOrder = 10;
                                       Instance.GetComponent<ProjectileLauncherBehaviour>().projectileAsset = ModAPI.FindSpawnable("Arrow");
                                       Instance.GetComponent<ProjectileLauncherBehaviour>().projectileLaunchStrength = 1.5f;
                                       Instance.FixColliders();
                                     }
                                  }
                              );
                                       ModAPI.Register(
                                            new Modification()
                                            {
                                                OriginalItem = ModAPI.FindSpawnable("Crossbow"),
                                                NameOverride = "Crystal Bow",
                                                DescriptionOverride = "Effect: 6 attack damage!",
                                                CategoryOverride = ModAPI.FindCategory("Forager"),
                                                ThumbnailOverride = ModAPI.LoadSprite("Bowcry.png", 5f),
                                                AfterSpawn = (Instance) =>
                                                {
                                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Bowcryi.png", 15f);
                                                    Instance.GetComponent<SpriteRenderer>().sortingOrder = 10;
                                                    Instance.GetComponent<ProjectileLauncherBehaviour>().projectileAsset = ModAPI.FindSpawnable("Arrow");
                                                    Instance.GetComponent<ProjectileLauncherBehaviour>().projectileLaunchStrength = 2f;
                                                    Instance.FixColliders();
                                                  }
                                               }
                                           );
                                                    ModAPI.Register(
                                                         new Modification()
                                                         {
                                                             OriginalItem = ModAPI.FindSpawnable("Crossbow"),
                                                             NameOverride = "Demon Bow",
                                                             DescriptionOverride = "Effect: 6,5 attack damage!",
                                                             CategoryOverride = ModAPI.FindCategory("Forager"),
                                                             ThumbnailOverride = ModAPI.LoadSprite("Bowdemon.png", 5f),
                                                             AfterSpawn = (Instance) =>
                                                             {
                                                                 Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Bowdemoni.png", 15f);
                                                                 Instance.GetComponent<SpriteRenderer>().sortingOrder = 10;
                                                                 Instance.GetComponent<ProjectileLauncherBehaviour>().projectileAsset = ModAPI.FindSpawnable("Arrow");
                                                                 Instance.GetComponent<ProjectileLauncherBehaviour>().projectileLaunchStrength = 3f;
                                                                 Instance.FixColliders();
                                                               }
                                                            }
                                                        );
                                                                 ModAPI.Register(
                                                                      new Modification()
                                                                      {
                                                                          OriginalItem = ModAPI.FindSpawnable("Crossbow"),
                                                                          NameOverride = "Void Bow",
                                                                          DescriptionOverride = "Effect: 7 attack damage.",
                                                                          CategoryOverride = ModAPI.FindCategory("Forager"),
                                                                          ThumbnailOverride = ModAPI.LoadSprite("Bowdvoid.png", 5f),
                                                                          AfterSpawn = (Instance) =>
                                                                          {
                                                                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Bowdvoidi.png", 15f);
                                                                              Instance.GetComponent<SpriteRenderer>().sortingOrder = 10;
                                                                              Instance.GetComponent<ProjectileLauncherBehaviour>().projectileAsset = ModAPI.FindSpawnable("Arrow");
                                                                              Instance.GetComponent<ProjectileLauncherBehaviour>().projectileLaunchStrength = 4f;
                                                                              Instance.FixColliders();
                                                                            }
                                                                         }
                                                                     );
                                                                              ModAPI.Register(
                                                                                   new Modification()
                                                                                   {
                                                                                       OriginalItem = ModAPI.FindSpawnable("Crossbow"),
                                                                                       NameOverride = "Cosmic Bow",
                                                                                       DescriptionOverride = "Effect: 8 attack damage.",
                                                                                       CategoryOverride = ModAPI.FindCategory("Forager"),
                                                                                       ThumbnailOverride = ModAPI.LoadSprite("Bowc.png", 5f),
                                                                                       AfterSpawn = (Instance) =>
                                                                                       {
                                                                                           Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Bowci.png", 15f);
                                                                                           Instance.GetComponent<SpriteRenderer>().sortingOrder = 10;
                                                                                           Instance.GetComponent<ProjectileLauncherBehaviour>().projectileAsset = ModAPI.FindSpawnable("Arrow");
                                                                                           Instance.GetComponent<ProjectileLauncherBehaviour>().projectileLaunchStrength = 6f;
                                                                                           Instance.FixColliders();
                                                                                         }
                                                                                      }
                                                                                  );
                                                                                           ModAPI.Register(
                                                                                                new Modification()
                                                                                                {
                                                                                                    OriginalItem = ModAPI.FindSpawnable("Crossbow"),
                                                                                                    NameOverride = "Nuclear Bow",
                                                                                                    DescriptionOverride = "Effect: 9 attack damage.",
                                                                                                    CategoryOverride = ModAPI.FindCategory("Forager"),
                                                                                                    ThumbnailOverride = ModAPI.LoadSprite("Bown.png", 5f),
                                                                                                    AfterSpawn = (Instance) =>
                                                                                                    {
                                                                                                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Bowni.png", 15f);
                                                                                                        Instance.GetComponent<SpriteRenderer>().sortingOrder = 10;
                                                                                                        Instance.GetComponent<ProjectileLauncherBehaviour>().projectileAsset = ModAPI.FindSpawnable("Arrow");
                                                                                                        Instance.GetComponent<ProjectileLauncherBehaviour>().projectileLaunchStrength = 10f;
                                                                                                        Instance.FixColliders();
                                                                                                      }
                                                                                                   }
                                                                                               );
                                                                  ModAPI.Register(
                                                                     new Modification()
                                                                     {
                                                                     OriginalItem = ModAPI.FindSpawnable("Stick"),
                                                                     NameOverride = "Bottled Water",
                                                                     NameToOrderByOverride = "...",
                                                                     DescriptionOverride = "",
                                                                     CategoryOverride = ModAPI.FindCategory("Forager"),
                                                                     ThumbnailOverride = ModAPI.LoadSprite("b.png"),
                                                                     AfterSpawn = (Instance) =>
                                                                      {
                                                                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bi.png", 2.2f);
                                                                       Instance.GetComponent<PhysicalBehaviour>().InitialMass = 1f;
                                                                       Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 1f;
                                                                       Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] {ModAPI.LoadSound("стекло.mp3")};
                                                                       Instance.FixColliders();
                                                                     }
                                                                  }
                                                              );
                                                                       ModAPI.Register(
                                                                          new Modification()
                                                                          {
                                                                          OriginalItem = ModAPI.FindSpawnable("Stick"),
                                                                          NameOverride = "Bottled Oil",
                                                                          NameToOrderByOverride = "...",
                                                                          DescriptionOverride = "",
                                                                          CategoryOverride = ModAPI.FindCategory("Forager"),
                                                                          ThumbnailOverride = ModAPI.LoadSprite("boil.png"),
                                                                          AfterSpawn = (Instance) =>
                                                                           {
                                                                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("boili.png", 2.2f);
                                                                            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 2f;
                                                                            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 2f;
                                                                            Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] {ModAPI.LoadSound("стекло.mp3")};
                                                                            Instance.FixColliders();
                                                                          }
                                                                       }
                                                                   );
                                                                            ModAPI.Register(
                                                                               new Modification()
                                                                               {
                                                                               OriginalItem = ModAPI.FindSpawnable("Stick"),
                                                                               NameOverride = "Bottled Rainbow",
                                                                               NameToOrderByOverride = "...",
                                                                               DescriptionOverride = "",
                                                                               CategoryOverride = ModAPI.FindCategory("Forager"),
                                                                               ThumbnailOverride = ModAPI.LoadSprite("br.png"),
                                                                               AfterSpawn = (Instance) =>
                                                                                {
                                                                                 Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bri.png", 2.2f);
                                                                                 Instance.GetComponent<PhysicalBehaviour>().InitialMass = 3f;
                                                                                 Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 3f;
                                                                                 Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] {ModAPI.LoadSound("стекло.mp3")};
                                                                                 Instance.FixColliders();
                                                                               }
                                                                            }
                                                                        );
                                                                                 ModAPI.Register(
                                                                                    new Modification()
                                                                                    {
                                                                                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                                                                                    NameOverride = "Bottled Torchbug",
                                                                                    NameToOrderByOverride = "...",
                                                                                    DescriptionOverride = "",
                                                                                    CategoryOverride = ModAPI.FindCategory("Forager"),
                                                                                    ThumbnailOverride = ModAPI.LoadSprite("bt.png"),
                                                                                    AfterSpawn = (Instance) =>
                                                                                     {
                                                                                      Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bti.png", 2.2f);
                                                                                      Instance.GetComponent<PhysicalBehaviour>().InitialMass = 1f;
                                                                                      Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 1f;
                                                                                      Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] {ModAPI.LoadSound("стекло.mp3")};
                                                                                      Instance.FixColliders();
                                                                                    }
                                                                                 }
                                                                             );
                                                                                      ModAPI.Register(
                                                                                         new Modification()
                                                                                         {
                                                                                         OriginalItem = ModAPI.FindSpawnable("Stick"),
                                                                                         NameOverride = "Bottled Fairy",
                                                                                         NameToOrderByOverride = "...",
                                                                                         DescriptionOverride = "",
                                                                                         CategoryOverride = ModAPI.FindCategory("Forager"),
                                                                                         ThumbnailOverride = ModAPI.LoadSprite("bf.png"),
                                                                                         AfterSpawn = (Instance) =>
                                                                                          {
                                                                                           Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bfi.png", 2.2f);
                                                                                           Instance.GetComponent<PhysicalBehaviour>().InitialMass = 1f;
                                                                                           Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 1f;
                                                                                           Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] {ModAPI.LoadSound("стекло.mp3")};
                                                                                           Instance.FixColliders();
                                                                                         }
                                                                                      }
                                                                                  );
                                                                                           ModAPI.Register(
                                                                                              new Modification()
                                                                                              {
                                                                                              OriginalItem = ModAPI.FindSpawnable("Stick"),
                                                                                              NameOverride = "Bottled Deathmoth",
                                                                                              NameToOrderByOverride = "...",
                                                                                              DescriptionOverride = "",
                                                                                              CategoryOverride = ModAPI.FindCategory("Forager"),
                                                                                              ThumbnailOverride = ModAPI.LoadSprite("bd.png"),
                                                                                              AfterSpawn = (Instance) =>
                                                                                               {
                                                                                                Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bdi.png", 2.2f);
                                                                                                Instance.GetComponent<PhysicalBehaviour>().InitialMass = 1f;
                                                                                                Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 1f;
                                                                                                Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] {ModAPI.LoadSound("стекло.mp3")};
                                                                                                Instance.FixColliders();
                                                                                              }
                                                                                           }
                                                                                       );
                                                                                                ModAPI.Register(
                                                                                                   new Modification()
                                                                                                   {
                                                                                                   OriginalItem = ModAPI.FindSpawnable("Stick"),
                                                                                                   NameOverride = "Bottled Butterfly",
                                                                                                   NameToOrderByOverride = "...",
                                                                                                   DescriptionOverride = "",
                                                                                                   CategoryOverride = ModAPI.FindCategory("Forager"),
                                                                                                   ThumbnailOverride = ModAPI.LoadSprite("bb.png"),
                                                                                                   AfterSpawn = (Instance) =>
                                                                                                    {
                                                                                                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bbi.png", 2.2f);
                                                                                                     Instance.GetComponent<PhysicalBehaviour>().InitialMass = 1f;
                                                                                                     Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 1f;
                                                                                                     Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] {ModAPI.LoadSound("стекло.mp3")};
                                                                                                     Instance.FixColliders();
                                                                                                   }
                                                                                                }
                                                                                            );
                                                                                                     ModAPI.Register(
                                                                                                        new Modification()
                                                                                                        {
                                                                                                        OriginalItem = ModAPI.FindSpawnable("Stick"),
                                                                                                        NameOverride = "Bottled Beetle",
                                                                                                        NameToOrderByOverride = "...",
                                                                                                        DescriptionOverride = "",
                                                                                                        CategoryOverride = ModAPI.FindCategory("Forager"),
                                                                                                        ThumbnailOverride = ModAPI.LoadSprite("bb2.png"),
                                                                                                        AfterSpawn = (Instance) =>
                                                                                                         {
                                                                                                          Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bbi2.png", 2.2f);
                                                                                                          Instance.GetComponent<PhysicalBehaviour>().InitialMass = 1f;
                                                                                                          Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 1f;
                                                                                                          Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] {ModAPI.LoadSound("стекло.mp3")};
                                                                                                          Instance.FixColliders();
                                                                                                        }
                                                                                                     }
                                                                                                 );
                                                                                                          ModAPI.Register(
                                                                                                             new Modification()
                                                                                                             {
                                                                                                             OriginalItem = ModAPI.FindSpawnable("Stick"),
                                                                                                             NameOverride = "Topaz",
                                                                                                             NameToOrderByOverride = "...",
                                                                                                             DescriptionOverride = "",
                                                                                                             CategoryOverride = ModAPI.FindCategory("Forager"),
                                                                                                             ThumbnailOverride = ModAPI.LoadSprite("top.png"),
                                                                                                             AfterSpawn = (Instance) =>
                                                                                                              {
                                                                                                               Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("topi.png", 3f);
                                                                                                               Instance.GetComponent<PhysicalBehaviour>().InitialMass = 1f;
                                                                                                               Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 1f;
                                                                                                               Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] {ModAPI.LoadSound("камень.mp3")};
                                                                                                               Instance.FixColliders();
                                                                                                             }
                                                                                                          }
                                                                                                      );
                                                                                                               ModAPI.Register(
                                                                                                                  new Modification()
                                                                                                                  {
                                                                                                                  OriginalItem = ModAPI.FindSpawnable("Stick"),
                                                                                                                  NameOverride = "Ruby",
                                                                                                                  NameToOrderByOverride = "...",
                                                                                                                  DescriptionOverride = "",
                                                                                                                  CategoryOverride = ModAPI.FindCategory("Forager"),
                                                                                                                  ThumbnailOverride = ModAPI.LoadSprite("ruby.png"),
                                                                                                                  AfterSpawn = (Instance) =>
                                                                                                                   {
                                                                                                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("rubyi.png", 3f);
                                                                                                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 1f;
                                                                                                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 1f;
                                                                                                                    Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] {ModAPI.LoadSound("камень.mp3")};
                                                                                                                    Instance.FixColliders();
                                                                                                                  }
                                                                                                               }
                                                                                                           );
                                                                                                                    ModAPI.Register(
                                                                                                                       new Modification()
                                                                                                                       {
                                                                                                                       OriginalItem = ModAPI.FindSpawnable("Stick"),
                                                                                                                       NameOverride = "Emerald",
                                                                                                                       NameToOrderByOverride = "...",
                                                                                                                       DescriptionOverride = "",
                                                                                                                       CategoryOverride = ModAPI.FindCategory("Forager"),
                                                                                                                       ThumbnailOverride = ModAPI.LoadSprite("em.png"),
                                                                                                                       AfterSpawn = (Instance) =>
                                                                                                                        {
                                                                                                                         Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("emi.png", 3f);
                                                                                                                         Instance.GetComponent<PhysicalBehaviour>().InitialMass = 1f;
                                                                                                                         Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 1f;
                                                                                                                         Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] {ModAPI.LoadSound("камень.mp3")};
                                                                                                                         Instance.FixColliders();
                                                                                                                       }
                                                                                                                    }
                                                                                                                );
                                                                                                                ModAPI.Register(
                                                                                                                   new Modification()
                                                                                                                   {
                                                                                                                   OriginalItem = ModAPI.FindSpawnable("Stick"),
                                                                                                                   NameOverride = "Amethyst",
                                                                                                                   NameToOrderByOverride = "...",
                                                                                                                   DescriptionOverride = "",
                                                                                                                   CategoryOverride = ModAPI.FindCategory("Forager"),
                                                                                                                   ThumbnailOverride = ModAPI.LoadSprite("am.png"),
                                                                                                                   AfterSpawn = (Instance) =>
                                                                                                                    {
                                                                                                                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ami.png", 3f);
                                                                                                                     Instance.GetComponent<PhysicalBehaviour>().InitialMass = 1f;
                                                                                                                     Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 1f;
                                                                                                                     Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] {ModAPI.LoadSound("камень.mp3")};
                                                                                                                     Instance.FixColliders();
                                                                                                                   }
                                                                                                                }
                                                                                                            );
                                                                                                                     ModAPI.Register(
                                                                                                                        new Modification()
                                                                                                                        {
                                                                                                                        OriginalItem = ModAPI.FindSpawnable("Stick"),
                                                                                                                        NameOverride = "Spirit Orb",
                                                                                                                        NameToOrderByOverride = "...",
                                                                                                                        DescriptionOverride = "",
                                                                                                                        CategoryOverride = ModAPI.FindCategory("Forager"),
                                                                                                                        ThumbnailOverride = ModAPI.LoadSprite("spirit.png"),
                                                                                                                        AfterSpawn = (Instance) =>
                                                                                                                         {
                                                                                                                          Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("spiriti.png", 2f);
                                                                                                                          Instance.GetComponent<PhysicalBehaviour>().InitialMass = 1f;
                                                                                                                          Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 1f;
                                                                                                                          Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] {ModAPI.LoadSound("камень.mp3")};
                                                                                                                          Instance.FixColliders();
                                                                                                                        }
                                                                                                                     }
                                                                                                                 );
                                                                                                                          ModAPI.Register(
                                                                                                                             new Modification()
                                                                                                                             {
                                                                                                                             OriginalItem = ModAPI.FindSpawnable("Stick"),
                                                                                                                             NameOverride = "Coin",
                                                                                                                             NameToOrderByOverride = "...",
                                                                                                                             DescriptionOverride = "",
                                                                                                                             CategoryOverride = ModAPI.FindCategory("Forager"),
                                                                                                                             ThumbnailOverride = ModAPI.LoadSprite("coin.png"),
                                                                                                                             AfterSpawn = (Instance) =>
                                                                                                                              {
                                                                                                                               Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("coini.png", 3f);
                                                                                                                               Instance.GetComponent<PhysicalBehaviour>().InitialMass = 1f;
                                                                                                                               Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 1f;
                                                                                                                               Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] {ModAPI.LoadSound("камень.mp3")};
                                                                                                                               Instance.FixColliders();
                                                                                                                             }
                                                                                                                          }
                                                                                                                      );
                                                                                                                               ModAPI.Register(
                                                                                                                                  new Modification()
                                                                                                                                  {
                                                                                                                                  OriginalItem = ModAPI.FindSpawnable("Stick"),
                                                                                                                                  NameOverride = "Gold Ingot",
                                                                                                                                  NameToOrderByOverride = "...",
                                                                                                                                  DescriptionOverride = "",
                                                                                                                                  CategoryOverride = ModAPI.FindCategory("Forager"),
                                                                                                                                  ThumbnailOverride = ModAPI.LoadSprite("gold.png"),
                                                                                                                                  AfterSpawn = (Instance) =>
                                                                                                                                   {
                                                                                                                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("goldi.png", 2f);
                                                                                                                                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 2f;
                                                                                                                                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 2f;
                                                                                                                                    Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] {ModAPI.LoadSound("камень.mp3")};
                                                                                                                                    Instance.FixColliders();
                                                                                                                                  }
                                                                                                                               }
                                                                                                                           );
                                                                                                                                    ModAPI.Register(
                                                                                                                                       new Modification()
                                                                                                                                       {
                                                                                                                                       OriginalItem = ModAPI.FindSpawnable("Stick"),
                                                                                                                                       NameOverride = "Iron Ingot",
                                                                                                                                       NameToOrderByOverride = "...",
                                                                                                                                       DescriptionOverride = "",
                                                                                                                                       CategoryOverride = ModAPI.FindCategory("Forager"),
                                                                                                                                       ThumbnailOverride = ModAPI.LoadSprite("iron.png"),
                                                                                                                                       AfterSpawn = (Instance) =>
                                                                                                                                        {
                                                                                                                                         Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ironi.png", 2f);
                                                                                                                                         Instance.GetComponent<PhysicalBehaviour>().InitialMass = 2f;
                                                                                                                                         Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 2f;
                                                                                                                                         Instance.GetComponent<PhysicalBehaviour>().OverrideImpactSounds = new AudioClip[] {ModAPI.LoadSound("камень.mp3")};
                                                                                                                                         Instance.FixColliders();
                                                                                                                                       }
                                                                                                                                    }
                                                                                                                                );
                                                                                                                                         ModAPI.Register(
                                                                                                                                         new Modification()
                                                                                                                                         {
                                                                                                                                           OriginalItem = ModAPI.FindSpawnable("Sword"),
                                                                                                                                           NameOverride = "Shovel",
                                                                                                                                           NameToOrderByOverride = "...",
                                                                                                                                           DescriptionOverride = "",
                                                                                                                                           CategoryOverride = ModAPI.FindCategory("Forager"),
                                                                                                                                           ThumbnailOverride = ModAPI.LoadSprite("shovel.png", 5f),
                                                                                                                                           AfterSpawn = (Instance) =>
                                                                                                                                           {
                                                                                                                                               Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("shoveli.png", 13f);
                                                                                                                                               Instance.FixColliders();
                                                                                                                                             }
                                                                                                                                          }
                                                                                                                                      );
                                                                                                                                               ModAPI.Register(
                                                                                                                                               new Modification()
                                                                                                                                               {
                                                                                                                                                 OriginalItem = ModAPI.FindSpawnable("Sword"),
                                                                                                                                                 NameOverride = "Water Shovel",
                                                                                                                                                 NameToOrderByOverride = "...",
                                                                                                                                                 DescriptionOverride = "",
                                                                                                                                                 CategoryOverride = ModAPI.FindCategory("Forager"),
                                                                                                                                                 ThumbnailOverride = ModAPI.LoadSprite("wshovel.png", 5f),
                                                                                                                                                 AfterSpawn = (Instance) =>
                                                                                                                                                 {
                                                                                                                                                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("wshoveli.png", 13f);
                                                                                                                                                     Instance.FixColliders();
                                                                                                                                                   }
                                                                                                                                                }
                                                                                                                                            );
                                                                                                                                                     ModAPI.Register(
                                                                                                                                                     new Modification()
                                                                                                                                                     {
                                                                                                                                                       OriginalItem = ModAPI.FindSpawnable("Sword"),
                                                                                                                                                       NameOverride = "Royale Shovel",
                                                                                                                                                       NameToOrderByOverride = "...",
                                                                                                                                                       DescriptionOverride = "",
                                                                                                                                                       CategoryOverride = ModAPI.FindCategory("Forager"),
                                                                                                                                                       ThumbnailOverride = ModAPI.LoadSprite("rshovel.png", 5f),
                                                                                                                                                       AfterSpawn = (Instance) =>
                                                                                                                                                       {
                                                                                                                                                           Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("rshoveli.png", 13f);
                                                                                                                                                           Instance.FixColliders();
                                                                                                                                                         }
                                                                                                                                                      }
                                                                                                                                                  );
                                                                                                                                                           ModAPI.Register(
                                                                                                                                                           new Modification()
                                                                                                                                                           {
                                                                                                                                                             OriginalItem = ModAPI.FindSpawnable("Sword"),
                                                                                                                                                             NameOverride = "Robotic Shovel",
                                                                                                                                                             NameToOrderByOverride = "...",
                                                                                                                                                             DescriptionOverride = "",
                                                                                                                                                             CategoryOverride = ModAPI.FindCategory("Forager"),
                                                                                                                                                             ThumbnailOverride = ModAPI.LoadSprite("rbshovel.png", 5f),
                                                                                                                                                             AfterSpawn = (Instance) =>
                                                                                                                                                             {
                                                                                                                                                                 Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("rbshoveli.png", 13f);
                                                                                                                                                                 Instance.FixColliders();
                   }
                }
            );
         }
      }
   }
